Where do I find the exporters to quake format (md3 and bsp)?

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

alexpglez
Posts: 2
Joined: Sun Dec 16, 2012 5:12 am

Where do I find the exporters to quake format (md3 and bsp)?

Postby alexpglez » Sun Dec 16, 2012 5:52 pm

I tried to find this but i don't know. I found this (md3) but i have errors: http://www.youtube.com/watch?v=SRtn9KO0omY
This is the error:

Code: Select all

PYTHON INTERACTIVE CONSOLE 3.3.0 (default, Sep 29 2012, 17:18:27)  [GCC 4.7.2]

Command History:     Up/Down Arrow
Cursor:              Left/Right Home/End
Remove:              Backspace/Delete
Execute:             Enter
Autocomplete:        Ctrl+Space
Ctrl +/-  Wheel:     Zoom
Builtin Modules:     bpy, bpy.data, bpy.ops, bpy.props, bpy.types, bpy.context, bpy.utils, bgl, blf, mathutils
Convenience Imports: from mathutils import *; from math import *
Convenience Variables: C = bpy.context, D = bpy.data

>>> bpy.ops.export.md3(filepath=".md3")
######################BEGIN######################
Exporting selected objects...
Error: Traceback (most recent call last):
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 316, in execute
    save_md3(settings)
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 170, in save_md3
    for f,face in enumerate(nobj.faces):
AttributeError: 'Mesh' object has no attribute 'faces'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 4, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-... truncated
Traceback (most recent call last):
  File "/usr/lib/python3.3/code.py", line 90, in runcode
    exec(code, self.locals)
  File "<blender_console>", line 1, in <module>
  File "/usr/share/blender/2.65/scripts/modules/bpy/ops.py", line 188, in __call__
    ret = op_call(self.idname_py(), None, kw)
RuntimeError: Error: Traceback (most recent call last):
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 316, in execute
    save_md3(settings)
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 170, in save_md3
    for f,face in enumerate(nobj.faces):
AttributeError: 'Mesh' object has no attribute 'faces'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 4, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 20, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 21, in <module>
    import apt_pkg
ImportError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 316, in execute
    save_md3(settings)
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 170, in save_md3
    for f,face in enumerate(nobj.faces):
AttributeError: 'Mesh' object has no attribute 'faces'

location: /usr/share/blender/2.65/scripts/modules/bpy/ops.py:188


Traceback (most recent call last):
  File "/usr/lib/python3.3/code.py", line 90, in runcode
    exec(code, self.locals)
  File "<blender_console>", line 1, in <module>
  File "/usr/share/blender/2.65/scripts/modules/bpy/ops.py", line 188, in __call__
    ret = op_call(self.idname_py(), None, kw)
RuntimeError: Error: Traceback (most recent call last):
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 316, in execute
    save_md3(settings)
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 170, in save_md3
    for f,face in enumerate(nobj.faces):
AttributeError: 'Mesh' object has no attribute 'faces'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 4, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 20, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 21, in <module>
    import apt_pkg
ImportError: No module named 'apt_pkg'

Original exception was:
Traceback (most recent call last):
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 316, in execute
    save_md3(settings)
  File "/home/alejandro/.config/blender/2.65/scripts/addons/io_mesh_md3/export_md3_15.py", line 170, in save_md3
    for f,face in enumerate(nobj.faces):
AttributeError: 'Mesh' object has no attribute 'faces'

location: /usr/share/blender/2.65/scripts/modules/bpy/ops.py:188


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/blender/2.65/scripts/modules/console_python.py", line 161, in execute
    is_multiline = console.push(line_exec)
  File "/usr/lib/python3.3/code.py", line 256, in push
    more = self.runsource(source, self.filename)
  File "/usr/lib/python3.3/code.py", line 74, in runsource
    self.runcode(code)
  File "/usr/lib/python3.3/code.py", line 94, in runcode
    self.showtraceback()
  File "/usr/lib/python3.3/code.py", line 157, in showtraceback
    sys.excepthook(type, value, tb)
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 64, in apport_excepthook
    from apport.fileutils import likely_packaged, get_recent_crashes
  File "/usr/lib/python3/dist-packages/apport/__init__.py", line 4, in <module>
    from apport.report import Report
  File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in <module>
    import apport.fileutils
  File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in <module>
    from apport.packaging_impl import impl as packaging
  File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 20, in <module>
    import apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 21, in <module>
    import apt_pkg
ImportError: No module named 'apt_pkg'

>>>


Does Anybody know this???

Does Blender have export to bsp???

Thanks.

alexpglez
Posts: 2
Joined: Sun Dec 16, 2012 5:12 am

Postby alexpglez » Sun Dec 16, 2012 8:10 pm

Solved.

fatalfeel
Posts: 9
Joined: Tue Apr 02, 2013 7:52 am

how to export .bsp

Postby fatalfeel » Tue Jun 11, 2013 2:12 pm

how to export .bsp help

alexpglez wrote:Solved.


Return to “Python”

Who is online

Users browsing this forum: No registered users and 2 guests